Subject: Fwd: Event MIB

From: Randy Presuhn <[email-masked]>
Date: Tue, 5 Oct 1999 15:17:43 -0700 (PDT)

Hi -

Attached is Bert's recent post to the disman list.
I've added his alternate address to the disman "posters" list
so his future postings will not be bounced.

 ------------------------------------------------------------------------
 Randy Presuhn           [email-masked]     http://www.bmc.com/
 Voice: +1 408 616-3100  BMC Software, Inc.           965 Stewart Drive
 Fax:   +1 408 616-3101  Sunnyvale, California 94086  USA
 ------------------------------------------------------------------------
 Any relationship between my opinions and BMC's is probably coincidental.
 ------------------------------------------------------------------------

> Received: from tangelo.bmc.com ([email-masked] [172.17.7.166])
> 	by dorothy.peer.com (8.8.6 (PHNE_12836)/8.8.6) with ESMTP id PAA17677
> 	for <[email-masked]>; Tue, 5 Oct 1999 15:02:09 -0700 (PDT)
> From: [email-masked]
> Received: from fw-us-hou1.bmc.com (fw-us-hou1.bmc.com [172.17.0.250])
> 	by tangelo.bmc.com (8.8.6 (PHNE_17135)/8.8.6) with SMTP id RAA16274
> 	for <[email-masked]>; Tue, 5 Oct 1999 17:02:13 -0500 (CDT)
> Received: from d06relay02.portsmouth.uk.ibm.com (d06relay02.portsmouth.uk.ibm.com [9.166.84.148])
> 	by lmsfw1.emea.ibm.com (1.0.0) with ESMTP id WAA26724;
> 	Tue, 5 Oct 1999 22:52:32 +0100
> Received: from d06mta01.portsmouth.uk.ibm.com (d06mta01_cs0 [9.180.35.7])
> 	by d06relay02.portsmouth.uk.ibm.com (8.8.8m2/NCO v2.05) with SMTP id XAA123570;
> 	Tue, 5 Oct 1999 23:01:14 +0100
> Received: by d06mta01.portsmouth.uk.ibm.com(Lotus SMTP MTA v4.6.5  (863.2 5-20-1999))  id 80256801.0078F417 ; Tue, 5 Oct 1999 23:01:08 +0100
> X-Lotus-FromDomain: IBMNL@IBMGB
> To: [email-masked]
> cc: [email-masked], [email-masked]
> Message-ID: <[email-masked]>
> Date: Tue, 5 Oct 1999 23:53:08 +0200
> Subject: Event MIB
> Mime-Version: 1.0
> Content-type: text/plain; charset=us-ascii
> Content-Disposition: inline
> 
> 
> 
> Dave, thanks for your review.
> 
> Additional comments on the event MIB.
> 
> You want this to be stds track MIB, so I strongly suggest
> to change:
> 
> abstract: remove note about "experimental"
> 
> Module identity, pls change:
> 
>   dismanEventMIB MODULE-IDENTITY
>     LAST-UPDATED "9906241700Z"
>     ORGANIZATION "IETF Distributed Management Working Group"
>     CONTACT-INFO "Bob Stewart
>                   Cisco Systems, Inc.
>                   170 West Tasman Drive,
>                   San Jose CA 95134-1706.
>                   Phone: +1 408 526 4527
>                   Email: [email-masked]"
>     DESCRIPTION
>         "The MIB module for defining event triggers and actions
>         for network management purposes."
>     ::= { experimental 555 }
> 
> into
> 
>   dismanEventMIB MODULE-IDENTITY
>     LAST-UPDATED "9906241700Z"
>     ORGANIZATION "IETF Distributed Management Working Group"
>     CONTACT-INFO "Bob Stewart
> ==>??             Cisco Systems, Inc.
>                   170 West Tasman Drive,
>                   San Jose CA 95134-1706.
>                   Phone: +1 408 526 4527
> ==>??             Email: [email-masked]"
>     DESCRIPTION
>         "The MIB module for defining event triggers and actions
>         for network management purposes."
>     REVISION "...."  -- same date as Last Updated
>     DESCRIPTION "This is the initial version of this MIB
>                  Published as RFC xxxx"  -- RFC-Editor assigns xxxx
>     ::= { mib-2 xx } -- to be assigned by IANA
> 
> This also means you must import mib-2 from SNMPv2-SMI and no longer
> import experimental.
> 
> I would not do:
>   -- For use as a default OID:
> 
>   zeroDotZero OBJECT IDENTIFIER ::= { 0 0 }
> 
> But instead import it from SNMPv2-SMI
> 
> Furthermore, SMICng gives me these errors/warning:
> C:\smicng\pro2207\work>smicng event.inc
> E: f(event.mi2), (637,5) Item "mteTriggerExistenceTest" in sequence
>                 "MteTriggerExistenceEntry" has conflicting syntax
>                  specified
> E: f(event.mi2), (638,5) Item "mteTriggerExistenceStartup" in sequence
>                 "MteTriggerExistenceEntry" has conflicting syntax
>                  specified
> E: f(event.mi2), (304,14) Default value for "mteTriggerTest" must be
>                  named bits in "{ }"
> E: f(event.mi2), (1236,14) Default value for "mteEventActions" must be
>                  named bits in "{ }"
> W: f(event.mi2), (1066,29) Row "mteObjectsEntry" does not have a consistent
>                  indexing scheme - all index items for "base row"
>                  mteTriggerEntry must be specified
> W: f(event.mi2), (1193,37) Row "mteEventEntry" does not have a
>                  consistent indexing scheme - all index items for
>                  "base row" mteTriggerEntry must be specified
> 
> *** 4 errors and 2 warnings in parsing
> I guess the warnings are a Perkins-ism, pls confirm if you think so too.
> I can make the compiler silent about the wngs, but the errors need fixing.
> 
> In the section on IPR (sect 9) I think I'd like to see one more paragraph
> as per RFC2026, sect 10.4 item (B).
> If we know of anyone having IPR claims in this area (cisco?) then we
> probably want to summarize that too in this section.
> 
> Bert
> 
> 
>